=== doc/CMakeLists.txt ===
install(
	FILES
		uchardet.1
	DESTINATION
		${DIR_SHARE}/man/man1
)
