=== debian/changelog ===
uchardet (0.0.1-1ubuntu1) trusty; urgency=low

  * Bump compat to 9.
  * use GNUInstallDir locations (for multiarch).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Dec 2013 20:35:24 +0000

uchardet (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #633767)

 -- Asias He <asias.hejun@gmail.com>  Mon, 11 Jul 2011 23:29:36 +0800
