=== debian/control ===
Source: uchardet
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Asias He <asias.hejun@gmail.com>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.2
Section: libs
Homepage: http://code.google.com/p/uchardet
Vcs-Git: git://git.debian.org/collab-maint/uchardet.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/uchardet.git;a=summary
DM-Upload-Allowed: yes

Package: uchardet
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: universal charset detection library - cli utility
 uchardet is a C language binding of the original C++ implementation
 of the universal charset detection library by Mozilla.
 .
 uchardet is a encoding detector library, which takes a sequence of
 bytes in an unknown character encoding without any additional
 information, and attempts to determine the encoding of the text.
 .
 The original code of universalchardet is available at
 http://lxr.mozilla.org/seamonkey/source/extensions/universalchardet
 .
 Techniques used by universalchardet are described at
 http://www.mozilla.org/projects/intl/UniversalCharsetDetection.html
 .
 This package contains the cli detection utility.

Package: libuchardet0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: universal charset detection library - shared library
 uchardet is a C language binding of the original C++ implementation
 of the universal charset detection library by Mozilla.
 .
 uchardet is a encoding detector library, which takes a sequence of
 bytes in an unknown character encoding without any additional
 information, and attempts to determine the encoding of the text.
 .
 The original code of universalchardet is available at
 http://lxr.mozilla.org/seamonkey/source/extensions/universalchardet
 .
 Techniques used by universalchardet are described at
 http://www.mozilla.org/projects/intl/UniversalCharsetDetection.html
 .
 This package contains the shared library.

Package: libuchardet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libuchardet0 (= ${binary:Version}), ${misc:Depends}
Description: universal charset detection library - development files
 uchardet is a C language binding of the original C++ implementation
 of the universal charset detection library by Mozilla.
 .
 uchardet is a encoding detector library, which takes a sequence of
 bytes in an unknown character encoding without any additional
 information, and attempts to determine the encoding of the text.
 .
 The original code of universalchardet is available at
 http://lxr.mozilla.org/seamonkey/source/extensions/universalchardet
 .
 Techniques used by universalchardet are described at
 http://www.mozilla.org/projects/intl/UniversalCharsetDetection.html
 .
 This package contains the development support files.
