=== debian/watch ===
version=3
http://googlecode.debian.net/p/uchardet/uchardet-(\d+.*)\.tar\.gz
