=== debian/changelog ===
uchardet (0.0.6-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    - Set Homepage to freedesktop site instead of gnome.
    - Bump standards to 4.0.0 (no changes required).
  * debian/rules:
    - Use -ffloat-store on i386 to fix FTBFS.

 -- James Cowgill <jcowgill@debian.org>  Sun, 18 Jun 2017 22:12:59 +0100

uchardet (0.0.6-1) experimental; urgency=medium

  * New upstream release. (Closes: #814007)
  * New maintainer. (Closes: #862463)

  * debian/compat:
    - Use debhelper 10
  * debian/control:
    - Enable multiarch.
    - Remove obsolete DM-Upload-Allowed field.
    - Update Homepage.
    - Canonicalize Vcs-Git and Vcs-Browser.
    - Remove dead URLs from package descriptions.
    - Remove useless Section field from libuchardet0.
    - Bump standards version to 3.9.8.
  * debian/copyright:
    - Set upstream license to MPL, GPL or LGPL.
    - Add myself to the packaging copyright.
  * debian/docs:
    - Don't ship AUTHORS file which contains no information not already in
      the copyright file.
  * debian/libuchardet0.symbols:
    - Add symbols file.
  * debian/rules:
    - Remove boilerplate comments.
    - Enable all hardening options.
  * debian/tests:
    - Add some autopkgtests for the library and cli utility.
  * debian/watch:
    - Update watch file for new freedesktop upstream.

 -- James Cowgill <jcowgill@debian.org>  Sat, 13 May 2017 12:35:07 +0100
