=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,14 +9,29 @@
 	JpCntx.cpp
 	LangModels/LangArabicModel.cpp
 	LangModels/LangBulgarianModel.cpp
-	LangModels/LangRussianModel.cpp
+    LangModels/LangCroatianModel.cpp
+    LangModels/LangCzechModel.cpp
 	LangModels/LangEsperantoModel.cpp
+	LangModels/LangEstonianModel.cpp
+	LangModels/LangFinnishModel.cpp
 	LangModels/LangFrenchModel.cpp
 	LangModels/LangDanishModel.cpp
 	LangModels/LangGermanModel.cpp
 	LangModels/LangGreekModel.cpp
 	LangModels/LangHungarianModel.cpp
 	LangModels/LangHebrewModel.cpp
+	LangModels/LangIrishModel.cpp
+	LangModels/LangItalianModel.cpp
+    LangModels/LangLithuanianModel.cpp
+    LangModels/LangLatvianModel.cpp
+    LangModels/LangMalteseModel.cpp
+    LangModels/LangPolishModel.cpp
+    LangModels/LangPortugueseModel.cpp
+	LangModels/LangRomanianModel.cpp
+	LangModels/LangRussianModel.cpp
+	LangModels/LangSlovakModel.cpp
+    LangModels/LangSloveneModel.cpp
+    LangModels/LangSwedishModel.cpp
 	LangModels/LangSpanishModel.cpp
 	LangModels/LangThaiModel.cpp
 	LangModels/LangTurkishModel.cpp
@@ -64,6 +79,10 @@
 	${UCHARDET_LIBRARY}
 	${UCHARDET_SOURCES}
 )
+target_compile_definitions("${UCHARDET_LIBRARY}" PRIVATE BUILDING_UCHARDET)
+if(BUILD_SHARED_LIBS)
+	target_compile_definitions("${UCHARDET_LIBRARY}" PUBLIC UCHARDET_SHARED)
+endif()
 
 if (UCHARDET_STATIC_LIBRARY)
 	add_library(
@@ -71,6 +90,7 @@
 		STATIC
 		${UCHARDET_SOURCES}
 	)
+	target_compile_definitions("${UCHARDET_STATIC_LIBRARY}" PRIVATE BUILDING_UCHARDET)
 endif (UCHARDET_STATIC_LIBRARY)
 
 set_target_properties(
