=== debian/changelog ===
uchardet (0.0.7-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  * d/copyright: Refer to common copy of the MPL-1.1 license
  * d/control:
    - Use debhelper 13.
    - Set Rules-Requires-Root: no.
    - Bump standards version to 4.5.0.
  * d/rules: Use the new CMake defines to activate -ffloat-store on x86.
  * d/upstream/metadata: Add upstream repository metadata.
  * d/tests: Make "build" tests cross test friendly. (LP: #1869239)

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.

 -- James Cowgill <jcowgill@debian.org>  Sun, 31 May 2020 14:26:11 +0100

uchardet (0.0.6-3) unstable; urgency=medium

  * debian/compat: Use debhelper compat 11.
  * debian/control:
    - Migrate Vcs URLs to salsa.d.o.
    - Drop unnecessary Testsuite: autopkgtest field.
    - Bump standards version to 4.1.4.
  * debian/copyright: Use secure copyright format URL.

 -- James Cowgill <jcowgill@debian.org>  Sat, 02 Jun 2018 12:57:31 +0100
