=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Section: libs
 Maintainer: James Cowgill <jcowgill@debian.org>
-Build-Depends: debhelper (>= 10), cmake
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 13), cmake
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://www.freedesktop.org/wiki/Software/uchardet/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/uchardet.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/uchardet.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/debian/uchardet.git
+Vcs-Browser: https://salsa.debian.org/debian/uchardet
 
 Package: uchardet
 Section: utils
