=== doc/CMakeLists.txt ===
install(
	FILES
		uchardet.1
	DESTINATION
		${CMAKE_INSTALL_MANDIR}/man1
)
