=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	LangModels/LangThaiModel.cpp
 	LangModels/LangTurkishModel.cpp
 	LangModels/LangVietnameseModel.cpp
+	LangModels/LangNorwegianModel.cpp
 	nsHebrewProber.cpp
 	nsCharSetProber.cpp
 	nsBig5Prober.cpp
@@ -84,6 +85,12 @@
 	target_compile_definitions("${UCHARDET_LIBRARY}" PUBLIC UCHARDET_SHARED)
 endif()
 
+target_include_directories(${UCHARDET_LIBRARY}
+	PUBLIC
+		"$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
+		"$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${PACKAGE_NAME}>"
+)
+
 if (UCHARDET_STATIC_LIBRARY)
 	add_library(
 		${UCHARDET_STATIC_LIBRARY}
@@ -91,6 +98,12 @@
 		${UCHARDET_SOURCES}
 	)
 	target_compile_definitions("${UCHARDET_STATIC_LIBRARY}" PRIVATE BUILDING_UCHARDET)
+
+	target_include_directories(${UCHARDET_STATIC_LIBRARY}
+		PUBLIC
+			"$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
+			"$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${PACKAGE_NAME}>"
+	)
 endif (UCHARDET_STATIC_LIBRARY)
 
 set_target_properties(
@@ -121,6 +134,8 @@
 	install(
 		TARGETS
 			${UCHARDET_LIBRARY}
+		EXPORT
+			UchardetTargets
 		LIBRARY DESTINATION
 			${CMAKE_INSTALL_LIBDIR}
 		ARCHIVE DESTINATION
@@ -130,6 +145,8 @@
 	install(
 		TARGETS
 			${UCHARDET_LIBRARY}
+		EXPORT
+			UchardetTargets
 		RUNTIME DESTINATION
 			${CMAKE_INSTALL_BINDIR}
 		ARCHIVE DESTINATION
@@ -141,6 +158,8 @@
 	install(
 		TARGETS
 			${UCHARDET_STATIC_LIBRARY}
+		EXPORT
+			UchardetTargets
 		ARCHIVE DESTINATION
 			${CMAKE_INSTALL_LIBDIR}
 	)
