=== debian/changelog ===
uchardet (0.0.8-2) unstable; urgency=medium

  * d/control: Bump standards version.
  * d/copyright:
    - Replace old FSF address.
    - Update debian copyright date.
  * d/rules:
    - Fix FTBFS with CMake 4. (Closes: #1113594)
    - Enable SSE2 on i386.
  * d/tests: Require 0.0.8 in CMake test.

 -- James Cowgill <jcowgill@debian.org>  Tue, 02 Sep 2025 16:15:50 +0100

uchardet (0.0.8-1) unstable; urgency=medium

  * New upstream release. (Closes: #1031291)

  * d/copyright: Update copyright date.
  * d/control:
    - Bump standards version.
    - Add dependency on uchardet to libuchardet-dev.
  * d/libuchardet-dev.install:
    - Install CMake config files.
  * d/tests:
    - Refactor detect.c into a separate file.
    - Add build tests for the static library.
    - Add cmake build test.

 -- James Cowgill <jcowgill@debian.org>  Wed, 29 Nov 2023 22:47:32 +0000
