=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Fix FTBFS with CMake 4 (#1113594)
EXTRA_CMAKE_ARGS += -DCMAKE_POLICY_VERSION_MINIMUM=3.5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CMAKE_ARGS)
