## uchardet 1.0.0

=== DESCRIPTION ===
Package: uchardet
Type: Package
Title: The Universal Character Encoding Detector
Description: R bindings of the 'uchardet', encoding detector library from Mozilla
  (<https://www.freedesktop.org/wiki/Software/uchardet/>). It takes a sequence
  of bytes in an unknown character encoding and without any additional
  information, and attempts to get the encoding of the text. All return names of
  the encodings are iconv-compatible.
Version: 1.0.0
Authors@R: c(
  person(given = "Artem",
         family = "Klevtsov",
         role = c("aut", "cre"),
         email = "a.a.klevtsov@gmail.com",
         comment = c(ORCID = "0000-0003-0492-6647")),
  person(given = "Philipp",
         family = "Upravitelev",
         role = "ctb",
         email = "upravitelev@gmail.com")
  )
License: GPL-2
Copyright: file COPYRIGHTS
URL: https://artemklevtsov.gitlab.io/uchardet
BugReports: https://gitlab.com/artemklevtsov/uchardet/issues
Depends: R (>= 3.6.0)
Imports: Rcpp
Suggests: tinytest, knitr, rmarkdown, curl
LinkingTo: Rcpp
Encoding: UTF-8
NeedsCompilation: yes
ByteCompile: yes
RoxygenNote: 7.0.0
SystemRequirements: C++11, GNU make
VignetteBuilder: knitr
Packaged: 2019-11-16 10:22:33 UTC; unikum
Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
  Philipp Upravitelev [ctb]
Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
Repository: CRAN
Date/Publication: 2019-11-22 10:40:03 UTC
