## uchardet 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -22,19 +22,19 @@
 Copyright: file COPYRIGHTS
 URL: https://artemklevtsov.gitlab.io/uchardet
 BugReports: https://gitlab.com/artemklevtsov/uchardet/issues
-Depends: R (>= 3.6.0)
+Depends: R (>= 3.5.0)
 Imports: Rcpp
 Suggests: tinytest, knitr, rmarkdown, curl
 LinkingTo: Rcpp
 Encoding: UTF-8
 NeedsCompilation: yes
 ByteCompile: yes
-RoxygenNote: 7.0.0
+RoxygenNote: 7.0.1
 SystemRequirements: C++11, GNU make
 VignetteBuilder: knitr
-Packaged: 2019-11-16 10:22:33 UTC; unikum
+Packaged: 2019-11-26 06:05:34.447 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-11-22 10:40:03 UTC
+Date/Publication: 2019-11-26 10:20:03 UTC
