## uchardet 1.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.0.2
+Version: 1.0.4
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -20,21 +20,22 @@
   )
 License: GPL-2
 Copyright: file COPYRIGHTS
-URL: https://artemklevtsov.gitlab.io/uchardet
+URL: https://artemklevtsov.gitlab.io/uchardet,
+        https://gitlab.com/artemklevtsov
 BugReports: https://gitlab.com/artemklevtsov/uchardet/issues
 Depends: R (>= 3.5.0)
 Imports: Rcpp
 Suggests: tinytest, knitr, rmarkdown, curl
 LinkingTo: Rcpp
-Encoding: UTF-8
+SystemRequirements: C++11, GNU make
 NeedsCompilation: yes
 ByteCompile: yes
+Encoding: UTF-8
 RoxygenNote: 7.0.2
-SystemRequirements: C++11, GNU make
 VignetteBuilder: knitr
-Packaged: 2019-12-10 10:48:07.048 UTC; unikum
+Packaged: 2020-02-29 15:06:12.729 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-12-10 11:20:02 UTC
+Date/Publication: 2020-02-29 15:50:02 UTC
