## uchardet 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.0.6
+Version: 1.1.0
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -21,21 +21,19 @@
 License: GPL-2
 Copyright: file COPYRIGHTS
 URL: https://artemklevtsov.gitlab.io/uchardet,
-        https://gitlab.com/artemklevtsov
-BugReports: https://gitlab.com/artemklevtsov/uchardet/issues
+        https://gitlab.com/artemklevtsov/uchardet
+BugReports: https://gitlab.com/artemklevtsov/uchardet/-/issues
 Depends: R (>= 3.1.0)
-Imports: Rcpp
 Suggests: tinytest, knitr, rmarkdown, curl
-LinkingTo: Rcpp
 SystemRequirements: C++11, GNU make
 NeedsCompilation: yes
 ByteCompile: yes
 Encoding: UTF-8
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 VignetteBuilder: knitr
-Packaged: 2020-04-23 15:52:52 UTC; unikum
+Packaged: 2020-09-02 05:22:41 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-04-27 14:10:05 UTC
+Date/Publication: 2020-09-02 05:50:03 UTC
