## uchardet 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -24,16 +24,16 @@
         https://gitlab.com/artemklevtsov/uchardet
 BugReports: https://gitlab.com/artemklevtsov/uchardet/-/issues
 Depends: R (>= 3.1.0)
-Suggests: tinytest, knitr, rmarkdown, curl
+Suggests: tinytest, knitr, rmarkdown
 SystemRequirements: C++11, GNU make
 NeedsCompilation: yes
 ByteCompile: yes
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 VignetteBuilder: knitr
-Packaged: 2020-09-02 05:22:41 UTC; unikum
+Packaged: 2022-11-07 09:56:04 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-09-02 05:50:03 UTC
+Date/Publication: 2022-11-07 13:20:02 UTC
